./x11/xcb-util-wm, Client and window-manager helpers for ICCCM and EWMH

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.4.1, Package name: xcb-util-wm-0.4.1, Maintainer: pkgsrc-users

XCB util-wm module provides the following libraries:

- ewmh: Both client and window-manager helpers for EWMH.
- icccm: Both client and window-manager helpers for ICCCM.


Required to run:
[x11/libxcb]

Required to build:
[x11/xproto] [x11/xcb-proto]

Master sites:

SHA1: 7006c52b961c123355320bfc30477cdf90c8bbb7
RMD160: c3e70bb3ef12e3f5d04b9d415735f373edcb93a8
Filesize: 314.312 KB

Version history: (Expand)


CVS history: (Expand)


   2015-11-04 04:29:14 by Alistair G. Crooks | Files touched by this commit (670)
Log message:
Add SHA512 digests for distfiles for x11 category

Problems found locating distfiles:
        Package modular-xorg-server: missing distfile xorg-server-1.17.4.tar.bz2
        Package py-qt4: missing distfile PyQt-mac-gpl-4.11.1.tar.gz
        Package xservers: missing distfile xservers-3.3.6.5.tar.bz2
        Package xview-clients: missing distfile xview3.2p1-X11R6.tar.gz
        Package xview-lib: missing distfile xview3.2p1-X11R6.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2014-02-26 10:47:27 by Jonathan Perkin | Files touched by this commit (1)
Log message:
This package now requires GNU m4 features.
   2014-02-20 08:38:52 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update to 0.4.1:

xcb-util-wm 0.4.1 is now available.

git tag 0.4.1

Changelog
=========
Arnaud Fontaine (4):
      xcb-proto should have never been required as xcb provides the Atoms.
      Do not distribute ewmh C source file as they are generated with M4.
      Follow changes in m4 submodule.
      Release 0.4.1.

Gaetan Nadon (14):
      config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
      config: remove AC_TYPE_SSIZE_T
      config: use AC_CONFIG_HEADERS to create a config.h file
      config: drop the check for sys/types.h
      config: add bug URL to AC_INIT
      config: add missing COPYING file
      config: update the README file for bug tracking
      make: remove unused XPROTO_CFLAGS and XPROTO_LIBS
      make: use AM_CPPFLAGS rather than per-target libxcb_*_la_CPPFLAGS
      make: there should be no attempt to remove any Makefile.in file
      make: using EXTRA_DIST for xcb-*.pc.in is redundant
      Remove documentation dead code
      make: implement the silent rules for m4 generated files.
      make: compile the library with standard xorg warning flags

Download
========
http://xcb.freedesktop.org/dist/xcb-uti … .1.tar.bz2
md5: 87b19a1cd7bfcb65a24e36c300e03129
sha1: 7006c52b961c123355320bfc30477cdf90c8bbb7
sha256: 28bf8179640eaa89276d2b0f1ce4285103d136be6c98262b6151aaee1d3c2a3f

http://xcb.freedesktop.org/dist/xcb-uti … 4.1.tar.gz
md5: 0831399918359bf82930124fa9fd6a9b
sha1: 387c9b17a7352a19188b9353adbe5e7fdc01ef2a
sha256: 038b39c4bdc04a792d62d163ba7908f4bb3373057208c07110be73c1b04b8334

--
Arnaud Fontaine
   2014-01-29 10:51:11 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update to 0.4.0:

Arnaud Fontaine (2):
      Even though EWMH spec does not mandate window to be set, some WM expect it \ 
to be set.
      Release 0.4.0.

Niclas Zeising (1):
      Check submodules before running autoconf.
   2013-05-17 21:44:09 by Jonathan Perkin | Files touched by this commit (1)
Log message:
USE_TOOLS+= m4.  Fixes SunOS build.
   2012-10-29 06:07:25 by Aleksej Saushev | Files touched by this commit (563)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2012-10-02 14:09:42 by Matthias Scheler | Files touched by this commit (19)
Log message:
Increase the minium required version of the "x11/libxcb" package to 1.6.
There are at least two packages ("graphics/cairo" and \ 
"x11/xlsclients")
which require this. And we definitely want to avoid the situation where
both the based and "pkgsrc" version get used at the same time.

Bump all the packages which use the "x11/libxcb" package except the two
which already require version 1.6. For those package remove the manually
set minimum required version.

Change discussed with Thomas Klausner in private e-mail.
   2012-08-27 12:04:31 by Thomas Klausner | Files touched by this commit (2)
Log message:
Add two buildlink3.mk files.